#include <avr/io.h>
#include <util/delay.h>
#include "i2cmaster.h" 

#define LCD  0xFE      						// Adresse I2C-LCD Adapter

int main(void)
{
	i2c_init();	                            // I2C library initialisieren
    i2c_start_wait(LCD+I2C_WRITE);     		// I2C Adresse und "Schreib Modus" setzen
	i2c_write(0x61);						// Display lschen
	i2c_stop();								// I2C Stop

	i2c_start_wait(LCD+I2C_WRITE);     		// I2C Adresse und "Schreib Modus" setzen
	i2c_write(0x76);						// Schreib Adresse 0x76 (String)
	i2c_write(0x48);						// H
	i2c_write(0x45);						// E
	i2c_write(0x4C);						// L
	i2c_write(0x4C);						// L
	i2c_write(0x4F);						// O
	i2c_write(0x20);						// Space
	i2c_write(0x57);						// W
	i2c_write(0x4F);						// O
	i2c_write(0x52);						// R
	i2c_write(0x4C);						// L
	i2c_write(0x44);						// D
    i2c_stop();								// I2C Stop
}
